Bug 172909 - Kernel 2.6.14-1.1637_FC4smp breaks irqbalance
Kernel 2.6.14-1.1637_FC4smp breaks irqbalance
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-10 23:09 EST by Steve Snyder
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 11:57:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2005-11-10 23:09:31 EST
From Bugzilla Helper:
User-Agent: Opera/8.5 (X11; Linux i686; U; en)

Description of problem:
After installing the kernel-smp-2.6.14-1.1637_FC4 kernel, irqbalance no longer 
balances interrupts between the 4 (dual-Xeon /w hyper-threading) CPUs.  The 
balancing worked correctly in prior kernel versions.


Version-Release number of selected component (if applicable):
kernel-smp-2.6.14-1.1637_FC4, irqbalance-1.12-1.18

How reproducible:
Always

Steps to Reproduce:
1.Install package kernel-smp-2.6.14-1.1637_FC4.i686.rpm
2.Reboot to use new kernel
3.Wait a while, then check interrupt counts via /proc/interrupt
  

Actual Results:  With 35 minutes of uptime:

$ cat /proc/interrupts
        CPU0     CPU1     CPU2     CPU3
  0:  487603        0        0        0    IO-APIC-edge  timer
  1:    2457        0        0        0    IO-APIC-edge  i8042
  7:       2        0        0        0    IO-APIC-edge  parport0
  8:       1        0        0        0    IO-APIC-edge  rtc
  9:       0        0        0        0   IO-APIC-level  acpi
 14:   64735        0        0        0    IO-APIC-edge  ide0
169:   56014        0        0        0   IO-APIC-level  aic7xxx, aic7xxx, eth0
177:   46919        0        0        0   IO-APIC-level  uhci_hcd:usb1
185:       0        0        0        0   IO-APIC-level  uhci_hcd:usb2
201:    5153        0        0        0   IO-APIC-level  CS46XX
209:  104812        0        0        0   IO-APIC-level  nvidia
NMI:       0        0        0        0
LOC:  487487   487486   487485   487484
ERR:       0
MIS:       0


Expected Results:  The interrupts should be balanced between the 4 CPUs (except for the eth0 
interrupt).


Additional info:

No errors or warnings are seen in system log.

# ps auxS | grep irqbalance
root      1797  0.0  0.0   1556   288 ?        Ss   22:26   0:00 irqbalance
root      3790  0.0  0.0   3768   700 pts/1    S+   23:09   0:00 grep irqbalance
Comment 1 Steve Snyder 2005-11-28 22:54:47 EST
FYI, still broken in 2.6.14-1.1644_FC4.
Comment 2 Steve Snyder 2005-12-17 18:56:25 EST
FYI, still broken in 2.6.14-1.1653_FC4.
Comment 3 Arkadiusz Miskiewicz 2006-01-09 05:39:01 EST
Try with this patch:
http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=
commitdiff_plain;h=fe655d3a06488c8a188461bca493e9f23fc8c448;hp=b0b623c3b22d57d
6941b200321779d56c4e79e6b
or disable MSI in kernel.
Comment 4 Steve Snyder 2006-01-26 12:25:07 EST
This patch seems to have fixed it.  I left MSI enabled (the default) and
rebuilt.  The rebuilt 2.6.14-1.1656_FC4 kernel and the irqbalance service seem
to be balancing the interrupts correctly.
Comment 5 Dave Jones 2006-01-27 16:18:04 EST
that patch should be in the 2.6.15 kernel in updates-testing. Can you test that
too please ?
Comment 6 Dave Jones 2006-02-03 01:20:49 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 Steve Snyder 2006-02-03 08:04:37 EST
Kernel 2.6.15-1.1830_FC4smp is balancing the interrupts correctly.  In my view, 
this bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.